QGIS Application - Bug report #12763
Processing: GRASS r.horizon do not produce an output
2015-05-18 04:29 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Giovanni Manghi

Category: Processing/GRASS

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 20862
Description

Both modules (*.height actually missed an output parameter)

History

#1 - 2015-05-25 05:30 AM - Giovanni Manghi
- Assignee changed from Victor Olaya to Giovanni Manghi

#2 - 2015-05-30 11:25 PM - Giovanni Manghi

- Resolution set to up/downstream

- Status changed from Open to Closed

The module does not creates an output because it crashes (on both grass64 and grass?). Tested from the GRASS GUIl/command line.

It didn't use to crash, but | can't exclude that eventually using this module in raster mode can't be used anymore to create just 1 raster output. The module
in fact do not crash in raster mode when creating multiple output raster maps (by adding the "step" parameter), but in Processing multiple output raster

maps are not supported, unless someone is willingly to add this as a special case in Grass(7)Algorithm.py

If it turns out that forcing just 1 output raster map is not supported by grass anymore then the module r.horizon should be removed. The other tool, the one
that uses the "point" mode works fine (that outputs to stdout or a text file), at least on grass7/processing.
